/*KOLORY
JASNE:
  color: #000000;//general-color
  background-color: #f0fbf0;//general-background-color
  border-color: #aeeaae;//general-border-color

  input.background-color: #f4fbf4;//input-background-color
  input.focus.border-color: #9ae59a;//input-focus-border-color
  textareabackground-color: #f9fff9;//textarea-border-color

  div.div.border-color: #c2efc2;//inner-border-color
  div.(even).background-color: #d6f5d6;//table-even-background-color
  div.(hover).color: #009900;//answer-hover-color
*/

body {
/*  background-image: url("../grafiki/AZetKa---.gif");*/
  background-color: #f0fbf0;/*general-background-color*/
  font-family: Verdana, Geneva, sans-serif;
  margin: 0;
}
@media only screen and (max-width: 768px) {
  body {
    font-size: 90%;
  }
}
@media only screen and (max-width: 470px) {
  body {
    font-size: 75%;
  }
}

.developer-mode > div:first-child {
  background-color: red;
}
.developer-mode > div:first-child > div:first-child::after {
  content: " d e v e l o p e r - m o d e ";
}
/*
.developer-mode > div:first-child > div:last-child::before {
  content: " d e v e l o p e r - m o d e ";
}
*/

.screen-lock {
  align-items: center;
  background: transparent url('../_img/busy__.gif') no-repeat center center;
  bottom: 0;
  display: flex;
  justify-content: center;
  left: 0;
  position: fixed;
  right: 0;
  top: 0;
  z-index: 100;
}
.sl-alert-box {
  background-color: #fafff0;
  box-shadow: 10px 10px #ff8080;
  color: red;
  display: none;
  padding: 50px;
  z-index: 101;
}
.sl-alert-box-mssg {
  margin-bottom: 20px;
}
.sl-alert-box-bttns {
  display: flex;
  justify-content: space-around;
}

a,
button,
input,
select {
  font-size: 100%;
}
a {
  background-color: #f4fbf4;/*input-background-color*/
  border: 1px solid #aeeaae;/*general-border-color*/
  border-radius: 5px;
  box-shadow: 2px 2px 2px #aeeaae;
  color: red;
  text-decoration: none;
}
input {
  background-color: #f4fbf4;/*input-background-color*/
  border: 1px solid #aeeaae;/*general-border-color*/
  /*box-sizing: border-box;*/
  padding: 0.1em;
}
input[type=button] {
  border-radius: 5px;
}
input[type=button]:focus {
  border-color: #9ae59a;/*input-focus-border-color*/
}
input[type=submit] {
  border-radius: 5px;
}
input[type=submit]:focus {
  border-color: #9ae59a;/*input-focus-border-color*/
}
input[type=checkbox]:disabled,
input[type=radio]:disabled {
  visibility:hidden;
}
button {
  border-radius: 5px;
}
button:focus {
  border-color: #9ae59a;/*input-focus-border-color*/
}
textarea {
  background-color: #f9fff9;/*input-background-color*/
  border: 1px solid #aeeaae;/*general-border-color*/
  font-family: Verdana, Geneva, sans-serif;
  height: 8em;
  min-width: 20em;/*51%;*/
}
select {
  min-width: 12em;
}
footer {
  font-size: 80%;
  font-style: italic;
  text-align: right;
}

.italic {
  font-style: italic;
}
.bold {
  font-weight: bold;
}
.underline {
  text-decoration: underline;
}
.smaller {
  font-size: smaller;
}
.blue {
  color: blue;
}
.green {
  color: green;
}
.red {
  color: red;
}
.hidden {
  visibility: hidden;
}
.no-display {
  display: none;
}
.line-spacing-15 {
  line-height: 1.5;
}
/*
.hidden-text {
  display: none;
}
*/
.text-left {
  text-align: left;
}
.text-center,
.center-text {
  text-align: center;
}
.text-right {
  text-align: right;
}
.text-justify {
  text-align: justify;
}
.indent1em {
  text-indent: 1em;
}
.unindent1em {
  text-indent: -1em;
}
.indent2em {
  text-indent: 2em;
}
.unindent2em {
  text-indent: -2em;
}
.indent3em {
  text-indent: 3em;
}
.unindent3em {
  text-indent: -3em;
}
.up-1em {
  margin-top: -1em;
}
.reverse {
  direction: rtl;
}

.frame1p {
  border: 1px solid #f9fff9;
}

.full-size-banner {
  width: 100%;
}

.width10prc {
  min-width: 10%;
}
.width40prc {
  min-width: 40%;
}

.table-row {
  display: flex;
}
.tab-col1of5 {
  width: 20%;
}
.tab-col2of5 {
  width: 40%;
}
.tab-col3of5 {
  width: 60%;
}
.tab-col4of5 {
  width: 80%;
}
.tab-col100 {
  width: 100%;
}

.tab-col1of10 {
  width: 10%;
}
.tab-col2of10 {
  width: 20%;
}
.tab-col3of10 {
  width: 30%;
}
.tab-col4of10 {
  width: 40%;
}
.tab-col5of10 {
  width: 50%;
}
.tab-col6of10 {
  width: 60%;
}
.tab-col7of10 {
  width: 70%;
}
.tab-col8of10 {
  width: 80%;
}
.tab-col9of10 {
  width: 90%;
}

.copy-container {
  font-size: 1px;
  height: 10px;
  visibility: hidden;
  
}

.top-banner {
  display: flex;
  height: 20px;
  justify-content: space-between;
  position: relative;
  vertical-align: middle;
  width: 100%;
}
.top-banner img {
  font-style: italic;
}


.middle-banner {
  /*  align-content: space-between;/*flex-start;*/
  /*border: 1px solid transparent;*/
  margin: 0 auto;
  max-width: 1366px;
  position: relative;
  width: 99%;
}
.questions-place {
  align-content: flex-start;
  /*
  background-image: url("../_img/busy__.gif");
  background-position: center top;
  background-repeat: no-repeat;
  background-size: 10px;
  */
  display: block;/*flex;*/
  /*flex-wrap: wrap;*/
  justify-content: center; /*w poziomie*/
  overflow: auto;
  width: 99%;
}
.buttons-place {
  display: flex;
  justify-content: space-around;
  padding: 1.5em 0;
  width: 99%;
}
.page-nav-buttons {
  visibility: hidden;
}
.nav-button {
  min-width: 6em;
}
/*
.log-in-table {
  border: 1px solid transparent;
  padding: 3em;
}
.log-in-table > div:nth-child(even) {
  background-color: transparent;
}
.log-in-div,
.log-in-div > div > div {
  border-color: transparent;
}
*/

.quotas-counts {
  /*border: 1px solid grey;*/
  color: grey;
  display: inline-flex;
  font-family: Lucida Console, monospace;
  font-variant: small-caps;
  font-weight: normal;
  max-width: 70%;
  padding: 1em 2em;
  text-align: left;
}
.quotas-counts > div {
  margin: 0 1em;
}
.quotas-counts > div:last-child {
  display: none;
}
.comment {
  border: 1px solid grey;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 75%;
  font-style: italic;
  font-weight: normal;
  letter-spacing: 2px;
  /*max-width: 70%;*/
  /*padding: 1em;*/
  overflow-x: hidden;
  text-align: left;
  white-space: pre;
}
.comment::before {
  content: "config.json params:";
  font-variant: small-caps;
}
/*
.comment::after {
  content: "-----";
}
*/

.cookies-info {
  align-items: center;
  background-color: #aeeaae;/*general-border-color*/
  border: 1px solid #aeeaae;/*general-border-color*/
  bottom: 20px;
  color: red;
  display: none;
  justify-content: space-between;
  opacity: 0.8;
  padding: 1em;
  position: fixed;
  width: 90%;
}
.cookies-info > div {
  padding: 0 1em;
}

.bottom-banner {
  background-color: #aeeaae;/*general-border-color*/
  bottom: 0;
  display: flex;
  flex-wrap: nowrap;
  font-size: 80%;
  height: 20px;
  justify-content: space-between;
  /*padding: 0 2px;*/
  position: fixed;
  width: 100%;
}
.bottom-banner-left {
  text-align: left;
  /*padding-left: 2px;*/
  width: 30%;
}
.bottom-banner-center {
  text-align: center;
}
.pages-progress {
  width: 250px;
}
@media only screen and (max-width: 992px) {
  .pages-progress {
    width: 200px;
  }
}
@media only screen and (max-width: 768px) {
  .pages-progress {
    width: 100px;
  }
}
@media only screen and (max-width: 470px) {
  .pages-progress {
    width: 50px;
  }
}
.bottom-banner-right {
  font-size: 70%;
  font-style: italic;
  /*padding-right: 2px;*/
  padding-top: 4px;
  text-align: right;
  width: 30%;
}

form {
  width: 100%;
}

.questionnaire {
  display: none;
  justify-content: center;
  width: 100%;
/*
  display: flex;
  flex-wrap: wrap;
  align-content: flex-start;
*/
}
.page_ {
  background-color: #f0fbf0;/*general-background-color*/
  border-bottom: 1px solid transparent;
  display: none;/*block*/
  height: 100%;
  text-align: center;
  width: 100%;
}
.question_{
  max-width: 1100px;
  padding-left: 3em;
  padding-right: 3em;
  padding-top: 1em;
}
@media only screen and (max-width: 768px) {
  .question_{
    padding-left: 1.5em;
    padding-right: 1.5em;
    padding-top: 1em;
  }
}
@media only screen and (max-width: 470px) {
  .question_{
    padding-left: 0;
    padding-right: 0;
    padding-top: 0.5em;
  }
}

.answer_ {
  display: flex;
  max-width: 1100px;
  padding-top: 1em;
/*  padding: 0 3em;*/
}
.page_ > div,
.question_ > div,
.answer_ > div,
.answer_ > select {
  margin: 0 auto;
/*  max-width: 99%;*/
}
/*
.question_ {
  align-content: flex-start;
  border-bottom: 1px solid transparent;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  width: 100%;
}
*/
.ask-user-box {
  background-color: #aeeaae;/*general-border-color*/
  display: none;
  margin: 2em auto;
  max-width: 90%;
  min-width: 60%;
  text-align: center;
}
.ask-user-box > p {
  text-align: center;
}

.survey-title {
  font-size: 120%;
  font-style: italic;
  font-weight: bold;
  padding: 3em;
}
.section-text {
  font-size: 115%;
  font-weight: bold;
  margin: auto;
  padding: 3em;
}
.question-text {
  font-size: 105%;
  max-width: 1100px;
  padding: 1.5em 3em 1.5em;
  text-align: left;
}
.question-cont {
  padding-top: 0;
}
.question-info {
  font-style: italic;
  padding: 0 3em 1.5em 3em;
}

.intv-num-descr {
  padding: 3em 3em 1.5em 3em;
}
.intv-num-scheme {
  /*border: 1px solid #aeeaae;/*general-border-color*/
  border-collapse: collapse;
  display: table;
  margin: auto;
  padding: 5px;
  text-align: center;
}
.intv-num-scheme > div {
  display: table-row;
}
.intv-num-scheme > div > div {
  /*border: 1px solid #c2efc2;/*inner-border-color*/
  display: table-cell;
  padding: 2px 0;
  text-align: center;
}
.intv-num-scheme > div:first-child > div {
  width: 7em;
}

.question-break- {
  content: " ";
  display: table;
}
.question-request {
  font-style: italic;
  font-weight: bold;
}
.fill-info {
  font-style: italic;
  padding-bottom: 1.5em;
  text-align: center;
}
.quest-indent2em {
  padding-left: 3em;
  padding-right: 1em;
  text-indent: -2em;
}
.quest-indent3em {
  padding-left: 4em;
  padding-right: 1em;
  text-indent: -3em;
}

.error-hint {
  display: none;
}
.video-disp {
  max-width: 100%;
/*  padding: 2em 0;*/
}

.concept-img {
  width: 90%;
}
@media only screen and (max-width: 768px) {
  .concept-img {
    width: 100%;
  }
}


.checked-frame-color {
  border-color: #80d0ff !important;
}

.disabled-label {
  color: #666666;
}


.answer-table {
  border: 1px solid #aeeaae;/*general-border-color*/
  border-collapse: collapse;
  display: table;
}
.answer-table > div {
  display: table-row;
}
.answer-table > div > div {
  border: 1px solid #c2efc2;/*inner-border-color*/
  border-bottom-width: 0;
  border-top-width: 0;
  display: table-cell;
  padding: 0.2em;
}

.single-row-table > div > div {
  vertical-align: top;
}

/*.answer-table > div:first-child > div,*/
.answer-table-vert > div:first-child > div,
.answer-table-horiz > div:first-child > div,
answer-table-horiz-xn > div:first-child > div,
answer-table-range > div:first-child > div {
  min-width: 4em;/*7em;*/
}

.answer-table-std > div:nth-child(even),
.answer-table-vert > div:nth-child(even),
.answer-table-vert-dbl > div:nth-child(even) {
  background-color: #d6f5d6;/*table-even-background-color*/
}
.answer-table-vert > div:hover {
  color: #009900;/*answer-hover-color*/
}
.answer-table-vert > div > div {
/*  min-width: 5em;*/
/*  padding: 0.5em;*/
  vertical-align: middle;
}
.answer-table-vert > div > div:first-child {
  min-width: 12em;
  text-align: left;
}
.answer-table-vert > div > div:nth-child(n+2) {
  width: 4em;
}
.answer-table-vert > div > div:nth-child(even) {
  text-align: center;
}

.answer-table-vert-dbl > div > div:nth-child(odd) {
  min-width: 12em;
  text-align: left;
}
.answer-table-vert-dbl > div > div:nth-child(even) {
  min-width: 12em;
  text-align: left;
}


.answer-table-vert-mc {
  border: 1px solid #aeeaae;/*general-border-color*/
  border-collapse: collapse;
  display: table;
}
.answer-table-vert-mc > div {
  display: table-row;
}
.answer-table-vert-mc > div > div {
  border: 1px solid #c2efc2;/*inner-border-color*/
  border-bottom-width: 0;
  border-top-width: 0;
  display: inline-flex;
  float: left;
  padding: 0.2em;
}
.answer-table-vert-mc > div > div > label {
  display: table-cell;
  min-width: 10em;
  padding-left: 1em;
  text-align: left;
}
.answer-table-vert-mc > div > div > input {
  display: table-cell;
  text-align: center;
  width: 2em;
}
.answer-table-vert-mc > div > div:nth-child(even) {
  border-left: 2px solid #aeeaae;/*general-border-color*/
}
.answer-table-vert-mc > div:nth-child(even) > div:nth-child(odd),
.answer-table-vert-mc > div:nth-child(odd) > div:nth-child(even) {
  background-color: #d6f5d6;/*table-even-background-color*/
}


.answer-table-vert-nx2 {
  border: 1px solid #aeeaae;/*general-border-color*/
  border-collapse: collapse;
  display: table;
}
.answer-table-vert-nx2 > div {
  display: table-row;
}
.answer-table-vert-nx2 > div > div {
  border-width: 0;
  padding: 0;
}
.answer-table-vert-nx2 > div > div > div {
  border: 1px solid #c2efc2;/*inner-border-color*/
  border-bottom-width: 0;
  border-top-width: 0;
  display: table-cell;
  padding: 0.2em;
}
.answer-table-vert-nx2 > div > div > div:first-child {
  min-width: 10em;
  padding-left: 1em;
  text-align: left;
}
.answer-table-vert-nx2 > div > div > div:last-child {
  text-align: center;
  width: 2em;
}
.answer-table-vert-nx2 > div > div:nth-child(even) > div:first-child {
  border-left: 2px solid #aeeaae;/*general-border-color*/
}
.answer-table-vert-nx2 > div:nth-child(even) > div:nth-child(odd),
.answer-table-vert-nx2 > div:nth-child(odd) > div:nth-child(even) {
  background-color: #d6f5d6;/*table-even-background-color*/
}


.answer-table-horiz > div {
  text-align: center;
}
/*.answer-table-horiz > div:hover {
  color: #009900;/*answer-hover-color
}*/
.answer-table-horiz > div:first-child > div {
  border-bottom-width: 1px;
/*  min-width: 4em;*/
/*  padding: 0.5em;*/
}
.answer-table-horiz > div > div:nth-child(even) {
  background-color: #d6f5d6;/*table-even-background-color*/
}

.answer-table-horiz-xn > div,
.answer-table-range > div {
  min-height: 3em;
  text-align: center;
}
.answer-table-horiz-xn > div:first-child,
.answer-table-range > div:first-child {
  font-size: smaller;
  font-weight: bold;
}
.answer-table-horiz-xn > div:nth-child(n+2):hover,
.answer-table-range > div:nth-child(n+2):hover {
  color: #009900;/*answer-hover-color*/
  text-decoration: underline;
}
.answer-table-horiz-xn > div > div,
.answer-table-range > div > div {
  vertical-align: middle;
}
.answer-table-horiz-xn > div:first-child > div {
  min-width: 4em;
  padding: 0 0.2em;
}
.answer-table-horiz-xn > div > div:first-child,
.answer-table-range > div > div:first-child {
  min-width: 10em;
  text-align: left;
}
.answer-table-horiz-xn > div > div:nth-child(n+2) {
  width: 3em;
}

.answer-table-narrow > div:first-child > div {
  min-width: 2em;
}

.conf-table-revert {
  border-width: 0;
  display: table;
}
.conf-table-revert > div > div {
  border-width: 0;
  padding-bottom: 0.5em;
  padding-top: 0.5em;
}
.conf-table-revert > div > div:first-child {
  text-align: center;
  width: 2em;
}
.conf-table-revert > div > div:nth-child(2) {
  font-style: italic;
  text-align: left;
  width: 30em;
}


.answer-range {
  padding: 0.5em
}
.answer-range > div {
  display: table-row;
}
.answer-range > div:first-child > div {
  display: table-cell;
}
.answer-range input {
  margin: 0 auto;/*1.5em;*/
  width: 90%;
}
.answer-range > div:nth-child(2) > div {
  display: flex;
  justify-content: space-between;
}
.answer-range > div:nth-child(2) > div > div {
  display: block;
  min-width: 4em;
  padding: 0 0.2em;
  text-align: center;
}
.answer-range > div:nth-child(2) > div > div:nth-child(n+2) {
  border-left: 1px solid #c2efc2;/*inner-border-color*/
}

.answer-table-range > div:first-child > div:not(:first-child) {
  padding-left: 0;
  padding-right: 0;
}
.answer-table-range > div:first-child > div:not(:first-child) > div {
  display: flex;
  justify-content: space-between;
}
.answer-table-range > div:first-child > div:not(:first-child) > div > div  {
  display: block;
  overflow: hidden;
  padding: 0 0.2em;
  width: 4em;
/*  text-align: center;*/
}
.answer-table-range > div:first-child > div:not(:first-child) > div > div:nth-child(n+2) {
  border-left: 1px solid #c2efc2;
}
.answer-table-range input {
  margin: 0 auto;/*1.5em;*/
  width: 90%;
}
.answer-table-range > div:nth-child(even) > div > input {
  background-color: #d6f5d6;/*table-even-background-color*/
}


.answer-table-grid {
  border-collapse: collapse;
  display: block;
  width: auto;/*max-content;*/
}
.answer-table-grid > div {
  display: flex;
  flex-wrap: nowrap;
  justify-content: flex-start;
  padding: 0;
  width: auto;
  /*margin: 0 auto;*/
}
.answer-table-grid > div:first-child > div,
.answer-table-grid > div > div:first-child,
.answer-table-grid > div > div:last-child
.answer-table-grid > div:last-child > div {
  border-bottom-width: 2px solid #aeeaae;/*general-border-color*/
}
.answer-table-grid > div > div {
  border: 0.5px solid #c2efc2;/*inner-border-color*/
  padding: 0;
}
.answer-table-grid > div:nth-child(even) > div:nth-child(even),
.answer-table-grid > div:nth-child(odd) > div:nth-child(odd) {
  background-color: #d6f5d6;/*table-even-background-color*/
}
.answer-table-grid > div > div > label {
  align-content: center;
  border: 5px solid transparent;
  /*box-sizing: content-box;*/
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin: 0;
  padding: 1px;
}
.answer-table-grid > div > div > label > input {
  display: none;
  /*visibilty: hidden;*/
}
.answer-table-grid > div > div > label,
.answer-table-grid > div > div > label > img {
  height: 80px;
  width: 80px;
}
@media only screen and (max-width: 768px) {
  .answer-table-grid > div > div > label {
    border-width: 4px;
  }
  .answer-table-grid > div > div > label,
  .answer-table-grid > div > div > label > img {
    height: 65px;
    width: 65px;
  }
}
@media only screen and (max-width: 470px) {
  .answer-table-grid > div > div > label {
    border-width: 3px;
  }
  .answer-table-grid > div > div > label,
  .answer-table-grid > div > div > label > img {
    height: 45px;
    width: 45px;
  }
}


.toggle-border {
  border-color: transparent;
}
.toggle-border-on {
  border-color: #80d0ff !important;
}
.toggle-border-off {
  border-color: transparent !important;
}

.answer-open {
  min-width: 51%;
}
.answer-open textarea {
  height: 10em;
  min-width: 40em;
}
@media only screen and (max-width: 768px) {
  .answer-open {
    min-width: 51%;
  }
  .answer-open textarea {
    height: 8em;
    min-width: 30em;
  }
}

.images-slider {
  align-content: flex-start;
  display: inline-flex;
  flex-wrap: nowrap;
  height: 400px;
  max-width: 99%;
  overflow: auto;
}
.images-slider > img {
  height: 100%;
  padding: 0 2px;
}

.film-screen {
  height:480px;
  max-width: 95%;
  min-width: 60%;
  text-align: center;
  width: 640px;
}


.error-comment {
  color: red;
  font-size: 80%;
  font-style: italic;
}
.answer-block {
  text-align: center;
}
.picture-left {
  float: left;
}
.order-no {
  display: none;
  /*visibility: hidden;*/
}

.test-product {
  text-align: center;
}
.test-prod-img {
  text-align: center;
}

.centred {
  text-align: center;
}

.restore-progress {
  text-align: center;
  width: 100%;
}
.restore-progress > progress {
  height: 1em;
  margin: auto;
  width: 51%;
}

.monitor-div {
  border: 1px solid grey;
  display: none;
  font-size: 60%;
  height: 90%;
  left: 0;
  overflow: auto;
  position: fixed;
  top:  5%;
  width: 150px;
  word-wrap: break-word;
}

.iframe-php-div {
  border: 1px solid grey;
  display: none;
  font-size: 60%;
  height: 20%;
  left: 150px;
  overflow: auto;
  position: fixed;
  top:  80%;
  width: 50%;
  word-wrap: break-word;
}


.waiting-intvnum {
  color: black;
  font-style: italic;
}
.started-intvnum {
  color: red;
  font-style: italic;
}
.complete-intvnum {
  color: green;
}


.list-title {
  color: lightgreen;  
  font-size: 120%;
  font-style: italic;
  padding: 0.5em 3em;
}

/*== realizacja.php surveyshow.php ==*/
.surveyshow-table {
  border-collapse: collapse;
  display: table;
  font-size: small;
  margin: 5px;
  max-width: 100%;
}
.surveyshow-table > div {
  display: table-row;
}
.surveyshow-table > div:first-child {
  background-color: lightgrey;/* #c2efc2;/*inner-border-color*/
  font-weight: bold;
}
.surveyshow-table > div:nth-child(2n+3) {
  background-color: #d6f5d6;/*table-even-background-color*/
}
.surveyshow-table > div > div {
  border: 1px solid #aeeaae;/*general-border-color*/
  display: table-cell;
  padding: 0.2em;
  text-align: center;
}
.surveyshow-table > div:first-child > div {
  cursor: pointer;
  padding: 0.3em 0;
}
.surveyshow-table > div:nth-child(n+2) > div:first-child {
  background-color: lightgrey;
  font-style: italic;
  text-align: center;
}
.surveyshow-table > div:nth-child(n+2) > div:nth-child(2) {
  text-align: right;
}
.surveyshow-table > div:nth-child(n+2) > div:nth-child(3) {
  font-weight: bold;
}
.surveyshow-table > div:nth-child(n+2) > div:nth-child(4) {
  color: blue;
}
.surveyshow-table > div:nth-child(n+2) > div:nth-child(n+5) {
  width: 12em;
}


/*== wyniki.php resultsshow.php ==*/
.resultsshow-table {
  border: 1px solid #aeeaae;/*general-border-color*/
  border-collapse: collapse;
  display: table;
  font-family: "Consolas", Courier, monospace;
}
.resultsshow-table > div {
  display: table-row;
}
.resultsshow-table > div:first-child {
  background-color: lightgrey;
  color: lightgreen;
  font-family: Verdana, Geneva, sans-serif;
  font-size: small;
  /*font-weight: bold;*/
}
.resultsshow-table > div:nth-child(2n+3) {
  background-color: #d6f5d6;/*table-even-background-color*/
}
.resultsshow-table > div > div {
  border: 1px solid #aeeaae;/*general-border-color*/
  display: table-cell;
  padding: 0.2em;
  text-align: center;
}
.resultsshow-table > div:first-child > div {
  padding: 5px 1px;
}
.resultsshow-table > div:nth-child(n+2) > div:first-child {
  background-color: lightgrey;
  color: lightgreen;
  font-family: Verdana, Geneva, sans-serif;
  font-size: smaller;
  font-style: italic;
  text-align: center;
}
.resultsshow-table > div > div:nth-child(2) {
  /*font-weight: bold;*/
  text-align: left;
}
.resultsshow-table > div > div:nth-child(3),
.resultsshow-table > div > div:nth-child(4),
.resultsshow-table > div > div:nth-child(5),
.resultsshow-table > div > div:nth-child(6),
.resultsshow-table > div > div:nth-child(7),
.resultsshow-table > div > div:nth-child(8),
.resultsshow-table > div > div:nth-child(9) {
  font-size: smaller;
  /*font-weight: bold;*/
  text-align: left;
}


/*== consentsshow.php ==*/
.consentsshow-table {
  border: 1px solid #aeeaae;/*general-border-color*/
  border-collapse: collapse;
  display: table;
  font-family: Verdana, Geneva, sans-serif;
}
.consentsshow-table > div {
  display: table-row;
}
.consentsshow-table > div:first-child {
  background-color: lightgrey;
  color: lightgreen;
  /*font-weight: bold;*/
}
.consentsshow-table > div:nth-child(2n+3) {
  background-color: #d6f5d6;/*table-even-background-color*/
}
.consentsshow-table > div > div {
  border: 1px solid #aeeaae;/*general-border-color*/
  display: table-cell;
  padding: 2px 5px;
  text-align: center;
}
.consentsshow-table > div:first-child > div {
  padding: 5px;
}
.consentsshow-table > div:nth-child(n+2) > div:first-child {
  background-color: lightgrey;
  color: lightgreen;
  font-size: smaller;
  font-style: italic;
}
.consentsshow-table > div:nth-child(n+2) > div:first-child::after {
  content: ".";
}
.consentsshow-table > div:nth-child(n+2) > div:nth-child(2) {
  font-family: "Consolas", Courier, monospace;
  /*font-weight: bold;*/
  text-align: left;
}
.consentsshow-table > div:nth-child(n+2) > div:nth-child(3) {
  font-size: smaller;
}
.consentsshow-table > div:nth-child(n+2) > div:nth-child(4),
.consentsshow-table > div:nth-child(n+2) > div:nth-child(5) {
  font-style: italic;
  text-align: left;
}
.consentsshow-table > div:nth-child(n+2) > div:nth-child(n+6) {
  font-family: "Consolas", Courier, monospace;
  font-size: smaller;
  text-align: left;
}



/*======================================================*/

div.param-line {
  display: flex;
}
/*
div.param-line:last-of-type {
}
*/
div.param-name {
  background-color: #d6f5d6;
  border: 1px solid #47d147;
  border-bottom-width: 0;
  border-right-width: 0;
  color: red;
  float: left;
  width: 20%;
}
div.param-line:last-of-type > div.param-name {
  border-bottom-width: 1px;
}
div.param-value {
  background-color: #d6f5d6;
  border: 1px solid #47d147;
  border-bottom-width: 0;
  color: blue;
  float: left;
  width: 70%;
}
div.param-line:last-of-type > div.param-value {
  border-bottom-width: 1px;
}
div.param-value:after {
  clear: both;
  content: "";
}

/*
.survey-title:before,
.survey-title:after,
.section-text:before,
.section-text:after,
.question-text:before,
.question-text:after,
.question-text-indent:before,
.question-text-indent:after,
.question-info:before,
.question-info:after,
.question-request:before,
.question-request:after,
.answer_:before,
.answer_:after {
  content: " ";
  display: block;
}
*/


